summaryrefslogtreecommitdiff
path: root/vendor/packaged/thrift/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'vendor/packaged/thrift/update.sh')
-rw-r--r--vendor/packaged/thrift/update.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/vendor/packaged/thrift/update.sh b/vendor/packaged/thrift/update.sh
new file mode 100644
index 000000000..20cf145a7
--- /dev/null
+++ b/vendor/packaged/thrift/update.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+TAG=$1
+
+if [[ "$TAG" == "" ]]; then
+ echo "no branch or tag specified"
+ exit 1
+fi
+
+cd "$(dirname $0)"
+git clone --depth=1 --branch=$TAG [email protected]:apache/thrift tmp
+
+# Move old file to an upper level to fit the new requirements of psr-4
+if [ -d "src/Thrift" ]
+then
+ mv src/Thrift/* src/ && rm -Rf src/Thrift
+fi
+
+rm -Rf src/Thrift
+cp -R tmp/lib/php/lib/* src/
+rm -Rf tmp
+cd -